python-pygit2 (1.17.0-1) experimental; urgency=medium

  * New upstream version 1.17.0
  * Update patches
    - Drop const correctness fix (applied by upstream)
  * Bump dependency to libgit2 ~= 1.9

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Jan 2025 00:50:32 +0100

python-pygit2 (1.16.0-2) unstable; urgency=medium

  * Fix GenericIterator class interface (Closes: #1087432)

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Nov 2024 09:34:19 +0100

python-pygit2 (1.16.0-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 1.16.0
  * Refresh patches (no functional changes)
  * Reactivate callback test after libgit2 fix

 -- Timo Röhling <roehling@debian.org>  Tue, 15 Oct 2024 11:04:57 +0200

python-pygit2 (1.15.1-5) unstable; urgency=medium

  * Reupload of 1.15.1-4.

 -- Timo Röhling <roehling@debian.org>  Mon, 07 Oct 2024 09:51:18 +0200

python-pygit2 (1.15.1-4) unstable; urgency=medium

  * Build documentation with default Python interpreter
  * Skip flaky callback test

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Oct 2024 22:59:46 +0200

python-pygit2 (1.15.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Oct 2024 01:06:47 +0200

python-pygit2 (1.15.1-2) experimental; urgency=medium

  * Revert const correctness change from libgit2 1.8.1

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 10:04:56 +0200

python-pygit2 (1.15.1-1) experimental; urgency=medium

  * New upstream version 1.15.1
  * Refresh patches (no functional changes)
  * Reformat d/control

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Jul 2024 16:13:34 +0200

python-pygit2 (1.15.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Timo Röhling ]
  * New upstream version 1.15.0
  * Refresh patches (no functional changes)
  * Bump dependency to libgit2 ~= 1.8
  * Migrate to PEP 517 build
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 20 May 2024 12:00:29 +0200

python-pygit2 (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 13 Feb 2024 15:44:41 +0100

python-pygit2 (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Jan 2024 16:06:02 +0100

python-pygit2 (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3
  * Refresh patches (no functional changes)
  * Reformat d/control

 -- Timo Röhling <roehling@debian.org>  Sat, 02 Dec 2023 20:45:00 +0100

python-pygit2 (1.13.0-1) experimental; urgency=medium

  * New upstream version 1.13.0
  * Bump dependency to libgit2 ~= 1.7

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 10:55:19 +0200

python-pygit2 (1.12.2-1) experimental; urgency=medium

  * New upstream version 1.12.2

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Jun 2023 23:16:04 +0200

python-pygit2 (1.12.1-1) experimental; urgency=medium

  * Make package cross-buildable
  * Bump Standards-Version to 4.6.2
  * New upstream version 1.12.1
  * Refresh patches
  * Update d/copyright
  * Add myself to uploaders
  * Depend on libgit2 1.6.x
  * Fix nodoc logic in d/rules

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jun 2023 22:57:10 +0200

python-pygit2 (1.11.1-3) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 10:54:01 +0100

python-pygit2 (1.11.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-pygit2-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 13:45:26 +0000

python-pygit2 (1.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.11.1

 -- Timo Röhling <roehling@debian.org>  Sat, 12 Nov 2022 20:05:02 +0100

python-pygit2 (1.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.11.0

 -- Timo Röhling <roehling@debian.org>  Mon, 07 Nov 2022 21:04:18 +0100

python-pygit2 (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Oct 2022 16:19:16 +0200

python-pygit2 (1.10.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.10.1
  * Depend on libgit2 >= 1.5.0

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Aug 2022 20:22:38 +0200

python-pygit2 (1.9.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.9.2

 -- Timo Röhling <roehling@debian.org>  Wed, 25 May 2022 22:11:12 +0200

python-pygit2 (1.9.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.9.1
  * Refresh patches
    - Drop Avoid-enum-size-mismatch-when-parsing-git_object_t-a.patch
      (applied by upstream)
  * Depend on libgit2 >= 1.4.0
  * Run Sphinx on modules in build dir (Closes: #1000733)

 -- Timo Röhling <roehling@debian.org>  Mon, 16 May 2022 21:36:56 +0200

python-pygit2 (1.8.0-3) unstable; urgency=medium

  * Team upload.
  * Depend on openssl (Closes: #1011714)
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Jun 2022 23:10:20 +0200

python-pygit2 (1.8.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable for the libgit2 transition.
    (Closes: #1009033)

 -- Timo Röhling <roehling@debian.org>  Mon, 02 May 2022 15:43:32 +0200

python-pygit2 (1.8.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.8.0
  * Depend on libgit2 >= 1.3.0

 -- Timo Röhling <roehling@debian.org>  Sun, 01 May 2022 19:43:30 +0200

python-pygit2 (1.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Avoid enum size mismatch when parsing git_object_t as integer

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Feb 2022 21:04:43 +0100

python-pygit2 (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Timo Röhling ]
  * New upstream version 1.6.1+dfsg
  * Update patches and copyright
  * Bump Standards-Version to 4.6.0
  * Switch to dh-sequence-* B-D for dh plugins

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Feb 2022 14:24:45 +0100

python-pygit2 (1.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.0+dfsg1.
  * Tighten dependency on libgit2.
  * Remove obsolete version guard.

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 09 Dec 2020 15:16:36 +0530

python-pygit2 (1.3.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
    - Transition time! \o/ (Closes: #971564)
  * Fix d/upstream/metadata.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 05 Dec 2020 00:39:37 +0530

python-pygit2 (1.3.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Bump standards version to 4.5.1.
  * d/watch: Bump version to 4.
  * Rebase patches.

 -- Ondřej Nový <onovy@debian.org>  Wed, 02 Dec 2020 10:03:09 +0100

python-pygit2 (1.2.1+dfsg1-2) experimental; urgency=medium

  * Invert logic disabling internet patch.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 20:12:02 +0200

python-pygit2 (1.2.1+dfsg1-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * Add BD on python3-cached-property
  * Tighten dependency on libgit2
  * Update d/copyright years
  * Add myself as an uploader

  [ Ondřej Nový ]
  * New upstream version 1.2.1
  * Rebase patches.
  * Use python3-sphinx-rtd-theme instead of bundled one.
  * d/copyright: Exclude bundled Sphinx rtd theme.
  * d/watch: dfsg version mangle.
  * Bump debhelper compat level to 13.
  * d/copyright: Bump my copyright year.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 15:30:42 +0200

python-pygit2 (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Mon, 03 Feb 2020 16:29:50 +0100

python-pygit2 (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Jan 2020 10:22:51 +0100

python-pygit2 (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Rebase patches.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 18:35:17 +0100

python-pygit2 (0.28.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Sun, 17 Nov 2019 12:22:27 +0100

python-pygit2 (0.28.2-1) experimental; urgency=medium

  * New upstream release (Closes: #931698)
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * d/patches/0004-Do-not-require-older-pycparser.patch:
    Drop, not needed anymore
  * Bump required version of libgit2 to 0.28

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 21:51:36 +0200

python-pygit2 (0.27.4-2) unstable; urgency=medium

  * Drop Python 2 support

 -- Ondřej Nový <onovy@debian.org>  Mon, 08 Jul 2019 13:58:47 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-pygit2-doc`.
